# $Revision: 1.43 $, $Date: 2011/03/23 15:09:49 $
Summary:	GTK+ Spell Checker Interface Library
Summary(pl.UTF-8):	Biblioteka z interfejsem do narzędzia sprawdzającego pisownię dla GTK+
Name:		gtkspell
Version:	2.0.16
Release:	4
Epoch:		1
License:	GPL
Group:		X11/Libraries
Source0:	http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	f75dcc9338f182c571b321d37c606a94
URL:		http://gtkspell.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	docbook-dtd42-xml
BuildRequires:	enchant-devel >= 0.4.0
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1:1.13.3
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
in a GtkTextView widget. Right-clicking a misspelled word pops up a
menu of suggested replacements.

%description -l pl.UTF-8
GtkSpell udostępnia podobne do MS Worda lub MacOSX podświetlanie
błędnie napisanych słów w widgecie GtkTextView. Kliknięcie prawym
przyciskiem na błędne słowo otwiera menu z sugerowanymi poprawkami.

%package devel
Summary:	Header files for gtkspell
Summary(pl.UTF-8):	Pliki nagłówkowe dla gtkspella
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	enchant-devel >= 0.4.0
Requires:	gtk+2-devel >= 2:2.10.0

%description devel
Header files for gtkspell.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gtkspella.

%package static
Summary:	Static libraries for gtkspell
Summary(pl.UTF-8):	Biblioteki statyczne dla gtkspella
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries for gtkspell.

%description static -l pl.UTF-8
Biblioteki statyczne dla gtkspella.

%package apidocs
Summary:	gtkspell API documentation
Summary(pl.UTF-8):	Dokumentacja API gtkspell
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
gtkspell API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gtkspell.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkspell.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libgtkspell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkspell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkspell.so
%{_includedir}/gtkspell-2.0
%{_pkgconfigdir}/gtkspell-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkspell.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtkspell

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkspell.spec,v $
Revision 1.43  2011/03/23 15:09:49  wiget
- drop libtool file
- rel. 4

Revision 1.42  2010/11/19 09:55:45  hawk
- release 3

Revision 1.41  2010/02/05 20:12:00  uzsolt
- rel 2
- rebuild with libpng14

Revision 1.40  2009/12/21 18:41:12  megabajt
- updated to 2.0.16
- added -apidocs subpackage

Revision 1.39  2009/11/27 18:08:36  sparky
- BR: gettext-devel

Revision 1.38  2008/11/10 10:53:07  megabajt
- release 2

Revision 1.37  2008/08/29 04:52:41  qboosh
- updated to 2.0.14

Revision 1.36  2008/07/27 22:23:33  arekm
- release 2

Revision 1.35  2008/07/20 15:56:01  qboosh
- updated to 2.0.13

Revision 1.34  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.32  2006/07/13 17:23:50  freetz
- rel.4, updated deps, --as-needed for LDFLAGS

Revision 1.31  2006/06/10 19:16:13  freetz
- rel.3, bleeding edge deps

Revision 1.30  2005/07/20 18:05:35  arekm
- rel 2

Revision 1.29  2005/06/12 14:04:23  freetz
- 2.0.11

Revision 1.28  2005/05/21 16:17:48  freetz
- 2.0.10

Revision 1.27  2005/02/24 19:24:29  paladine
- updated to 2.0.9

Revision 1.26  2005/01/05 22:44:43  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.25  2004/12/27 21:28:47  qboosh
- updated to 2.0.8 (bugfix, eu translation); more docs

Revision 1.24  2004/12/25 17:40:50  qboosh
- unified

Revision 1.23  2004/08/31 21:03:23  qboosh
- -devel R: gtk+2-devel

Revision 1.22  2004/08/31 12:53:50  grzegol
- updated to 2.0.7

Revision 1.21  2004/07/19 17:32:01  qboosh
- strict internal deps, gtk+2 epoch

Revision 1.20  2004/07/18 22:18:58  grzegol
- updated to 2.0.6
- added BR: gtk-doc >= 1.0 and pango-devel >= 1.4.0

Revision 1.19  2004/03/10 08:22:21  krzak
- devel R: aspell-devel

Revision 1.18  2004/01/28 10:48:06  grzegol
- updated to 2.0.5

Revision 1.17  2003/09/18 00:20:43  krzak
- s/pspell/aspell/

Revision 1.16  2003/09/16 11:06:48  ankry
- cosmetics

Revision 1.15  2003/09/16 10:06:50  speedy
- BR: for building html docs.

Revision 1.14  2003/08/10 19:25:10  grzegol
- added --with-html-dir
- moved gtk-doc to -devel
- rel. 2

Revision 1.13  2003/08/10 19:02:31  aredridel
- addes missing %files

Revision 1.12  2003/06/27 13:10:45  mmazur
- mass commit; now req: name = epoch:version

Revision 1.11  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.10  2003/05/28 12:59:02  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:48:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/01/28 23:11:33  grzegol
- updated to 2.0.4

Revision 1.7  2003/01/18 22:50:09  juandon
- removed two lines with define

Revision 1.6  2002/12/02 11:06:19  ankry
- massive cleaning

Revision 1.5  2002/11/25 14:13:05  ankry
- massive attack: no need for 755 for *.la

Revision 1.4  2002/10/09 13:14:29  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.3  2002/08/26 14:17:22  michuz
- updated to 2.0.2

Revision 1.2  2002/08/01 20:29:35  qboosh
- missing pl description

Revision 1.1  2002/07/16 09:47:20  michuz
- initial release
- todo: polish description
